# $Revision: 1.25 $, $Date: 2009/06/10 14:16:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log
%define		pnam	Detect
Summary:	Log::Detect - read logfiles to detect error and warning messages
Summary(pl.UTF-8):	Log::Detect - przetwarzanie logów w celu wykrycia błędów i ostrzeżeń
Name:		perl-Log-Detect
Version:	1.424
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Log/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	febbf99a1d7d7ffa6dfbb7726f2c5ec8
URL:		http://search.cpan.org/dist/Log-Detect/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-IO-Zlib
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log::Detect is used to read logfiles, and apply regexps to determine if
the logfile contains any errors or warning messages.  This is generally
useful for those programs that refuse to return bad exit status when
they should.

%description -l pl.UTF-8
Log::Detect używany jest do czytania plików z logami, oraz użycia wyrażeń
regularnych do stwierdzenia, czy zawierają jakieś informacje o błędach
lub ostrzeżenia.  Najczęściej jest to przydatne w przypadku programów,
które nie zwracają sygnalizującego błąd kodu wyjścia, gdy powinny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -a example $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Log-Detect.spec,v $
Revision 1.25  2009/06/10 14:16:17  amateja
- updated to 1.424

Revision 1.24  2008/01/11 15:56:15  agaran
- fixed attr on files in bindir

Revision 1.23  2007-05-27 14:06:18  qboosh
- generic URL

Revision 1.22  2007/05/27 13:14:14  agaran
- up to 1.422, rel 1, builds here

Revision 1.21  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.19  2006/07/10 21:09:08  agaran
- up to 1.421 rel 0.1 , builds here

Revision 1.18  2004/12/01 17:39:21  radek
- autoupdated to 1.415

Revision 1.17  2004/11/03 22:30:31  paladine
- formatting

Revision 1.16  2004/05/06 18:20:31  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.14  2004/04/22 15:01:18  ankry
- license fixes and unification

Revision 1.13  2004/04/20 23:59:33  ankry
- ported to new bconds

Revision 1.12  2004/04/14 20:54:13  ankry
- cosmetics, unification

Revision 1.11  2004/03/06 19:42:08  adamg
- updated to 1.414

Revision 1.10  2003/09/21 21:48:47  adamg
- updated to 1.413, BR: perl-IO-Zlib (if doing tests)

Revision 1.9  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.8  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:35:46  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/30 22:10:24  radek
- new, STBR

